DigestUtils (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.util

## Class DigestUtils

- java.lang.Object
- - org.springframework.util.DigestUtils

-     public abstract class DigestUtils
      extends Object

  Miscellaneous methods for calculating digests.

  Mainly for internal use within the framework; consider Apache Commons Codec for a more comprehensive suite of digest utilities.

  Since:
    3.0
  Author:
    Arjen Poutsma
  See Also:
    `DigestUtils`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StringBuilder` | `appendMd5DigestAsHex(byte[] bytes, StringBuilder builder)` Append a hexadecimal string representation of the MD5 digest of the given bytes to the given `StringBuilder`.
    `static byte[]` | `md5Digest(byte[] bytes)` Calculate the MD5 digest of the given bytes.
    `static String` | `md5DigestAsHex(byte[] bytes)` Return a hexadecimal string representation of the MD5 digest of the given bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DigestUtils

          public DigestUtils()

  - ### Method Detail

    - #### md5Digest

          public static byte[] md5Digest(byte[] bytes)

      Calculate the MD5 digest of the given bytes.
      Parameters:
        `bytes` - the bytes to calculate the digest over
      Returns:
        the digest

    - #### md5DigestAsHex

          public static String md5DigestAsHex(byte[] bytes)

      Return a hexadecimal string representation of the MD5 digest of the given bytes.
      Parameters:
        `bytes` - the bytes to calculate the digest over
      Returns:
        a hexadecimal digest string

    - #### appendMd5DigestAsHex

          public static StringBuilder appendMd5DigestAsHex(byte[] bytes,
                                           StringBuilder builder)

      Append a hexadecimal string representation of the MD5 digest of the given bytes to the given `StringBuilder`.
      Parameters:
        `bytes` - the bytes to calculate the digest over
        `builder` - the string builder to append the digest to
      Returns:
        the given string builder